
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java编程那些事儿65——static修饰符 / iVAN</title>

    <meta name="description" content="Java编程那些事儿65——static修饰符 修饰符的作用是让被修饰的内容具备特定的功能,在程序中合理使用修饰符可以在语法和功能上实现很多需要的效果.Java语言中的修饰符主要有5个:static.final.native.abstract和synchronized.这里首先讲解static.final和native的作用. 8.7.1 static修饰符 static关键字的中文意思是静态的,该修饰符可以修饰成员变量,成员常量和成员方法.使用该关键字修饰的内容,在面向对象中static修饰的内容是隶属于类,而不是直接隶属于对象的,所以st">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java编程那些事儿65——static修饰符</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>修饰符的作用是让被修饰的内容具备特定的功能，在程序中合理使用修饰符可以在语法和功能上实现很多需要的效果。Java语言中的修饰符主要有5个：static、final、native、abstract和synchronized。这里首先讲解static、final和native的作用。 8.7.1 static修饰符</p>
<p>static关键字的中文意思是静态的，该修饰符可以修饰成员变量，成员常量和成员方法。使用该关键字修饰的内容，在面向对象中static修饰的内容是隶属于类，而不是直接隶属于对象的，所以static修饰的成员变量一般称作类变量，而static修饰的方法一般称作类方法。另外，static还可以修饰代码块，下面进行详细的介绍。</p>
<p>8.7.1.1 静态变量</p>
<p>static修饰的变量称作静态变量。静态变量和一般的成员变量不同，一个类在加载到内存时，静态变量只初始化一次，也就是说所有对象的静态变量在内存中都只有一个存储位置，每个对象中的静态变量都指向内存中同一个地址，它是在所有的对象之间共享的数据。另外静态变量在引用时比较方便。所以一般在需要实现以下两个功能时使用静态变量：</p>
<p>l　在对象之间共享值时</p>
<p>l　方便访问变量时</p>
<p>下面首先说一下非静态变量(没有static修饰符修饰的成员变量)在内存中如何存储的。示例代码如下：</p>
<p><code>//文件名Box.java<br />
public class Box{<br />
　int length;<br />
　int width;<br />
　int height;<br />
　public Box(int l,int w,int h){<br />
　　length = l;<br />
　　width = w;<br />
　　height = h;<br />
　}<br />
}<br />
//文件名TestBox.java<br />
public class TestBox{<br />
　public static void main(String[] args){<br />
　　Box a = new Box(10,20,30);<br />
　　Box b = new Box(40,20,10);<br />
　}<br />
}</code></p>
<p>则对象a和对象b在内存中的存储格式如下图所示：</p>
<p>对象a　　　　　　　　　　　　　　　 　对象b</p>
<table>
<tbody>
<tr>
<td>10</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td>20</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td>30</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td>length</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td>width</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td>height</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td>40</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td>20</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td>10</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td>length</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td>width</td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td>height</td>
</tr>
</tbody>
</table>
<p>　　<br />
<br />从上面的图可以看出，非静态变量的值在每个对象中都有独立的存储空间，不同对象间这些值之间没有管理，也就是说每个对象都为内部的每个非静态的变量分配独立的存储空间，所以每个对象中非静态变量是隶属于对象，也就是说在每个对象中可能是不同的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:05:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f/" title="变量">变量</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ad%98/" title="内存">内存</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e9%9d%99%e6%80%81/" title="静态">静态</a>, <a href="https://www.iamivan.net/tag/static/" title="static">static</a>, <a href="https://www.iamivan.net/tag/static-%e6%88%90%e5%91%98%e5%8f%98%e9%87%8f/" title="static 成员变量">static 成员变量</a>, <a href="https://www.iamivan.net/tag/%e9%9d%9e%e7%8b%ac%e7%ab%8b%e5%ad%98%e5%82%a8%e7%a9%ba%e9%97%b4/" title="非独立存储空间">非独立存储空间</a>, <a href="https://www.iamivan.net/tag/%e6%88%90%e5%91%98/" title="成员">成员</a>, <a href="https://www.iamivan.net/tag/static-%e9%9d%99%e6%80%81%e5%8f%98%e9%87%8f/" title="static 静态变量">static 静态变量</a>, <a href="https://www.iamivan.net/tag/%e4%bf%ae%e9%a5%b0/" title="修饰">修饰</a>, <a href="https://www.iamivan.net/tag/%e4%bf%ae%e9%a5%b0%e7%ac%a6/" title="修饰符">修饰符</a>, <a href="https://www.iamivan.net/tag/static%e6%88%90%e5%91%98%e5%8f%98%e9%87%8fjava/" title="static成员变量java">static成员变量java</a>, <a href="https://www.iamivan.net/tag/java%e4%bf%ae%e9%a5%b0%e7%ac%a6/" title="java修饰符">java修饰符</a>, <a href="https://www.iamivan.net/tag/%e4%bf%ae%e9%a5%b0%e5%8f%98%e9%87%8f/" title="修饰变量">修饰变量</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java编程那些事儿65——static修饰符的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW1mWqz.html" rel="bookmark">Java编程那些事儿66&mdash;&mdash;final修饰符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				8.7.2 final final关键字是最终的.最后的意思,在程序中可以用来修饰类.成员变量和方法的声明,由该关键字修饰的内容都是不可变的. 8.7.2.1 final数据 final修饰的数据是常量,常量既可以出现在类的内部,也可以出现在方法或构造方法的内部.在程序中常量只能赋值一次. 其它说明可以参看前面的常量介绍. 在程序中,一般类内部的成员常量为了方便调用,一般都使用static修饰符进行修饰.示例代码如下: /** * 常量使用 */ public class Student { /			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWlRvp.html" rel="bookmark">java的单例、static修饰符及static的继承</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				单例设计模型: static修饰符: ①:static静态只有一份(同一个虚拟机中) (节省资源),类代码被装载内存时,静态代码分配内存,并执行,并且常驻内存. 可参考:类加载顺序 ②:Static修饰成员变量,成为&quot;类变量&quot;,属于整个类,类的共享变量.注:不能修饰局部变量.          static是一块为整个类共有一块存储区域,静态变量只有一份,值变化后,所有访问值变化生效.          java中用类名调用static变量和方法(对象调用也可以):类名.变量(方法名)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjNOEp.html" rel="bookmark">Java语言入门教程（六）：Java语言中的static修饰符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Java类中,我们常常会看到static关键字,往往被称为静态的.Static修 饰符可以用来修饰数据成员,方法成员,但是不能修饰类(此处指外部类),不 能修饰构造方法.如: package com.csst.vo; public class User { private String name; private static int count; public String getName() { return name; } public void setName(String name)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Rlxjz.html" rel="bookmark">方法-求问：java里面static修饰符作用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求问:java里面static修饰符作用 static作用具体是什么,非static作用又是什么,static修饰方法和属性分别是什么效果,具体点谢谢 解决方案 static 是全局变量, 如 static int c=0; c=c+1; 那么这变量,就是一个全局变量, 每一次改变它都会执行,但是再给它赋值 就会报错 再这样写 c=5; 系统就会报错. 解决方案二: static修饰的成员变量或者成员函数,是直接通过类名来访问的,不需要实例化的. 而非静态的成员方法的访问需要通过实例化			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDAQnBb.html" rel="bookmark">Java编程那些事儿52&mdash;方法声明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第七章 方法 方法(method),在面向过程的语言中称作函数(function),在汇编语言中称作子程序,是一个代码功能块,实现某个特定的功能.在实际的程序开发中,方法是一种基础的组织代码的方式.本部分就介绍方法相关的概念.相关语法以及实际使用时需要注意的问题. 7.1 方法概述 方法的概念来源于数学上的函数,在数学中,当数据具有一定的规律时,就是用一个函数来代码该数字的规律,例如f(n)=n则代表1.2.3.--这样的一个数列.在数学上n是参数,对于确定的n值只有一个f(n)的值和它对应.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX09Qjp.html" rel="bookmark">JAVA 入坑教程 &vert; 章节四 修饰符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java语言提供了很多修饰符,主要分为以下两类: 访问修饰符 非访问修饰符 例子 public class className { // ... } private boolean myFlag; static final double weeks = 9.5; protected static final int BOXWIDTH = 42; public static void main(String[] arguments) { // 方法体 } 修饰符 当前类 同一包内 子孙类 其他包			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXBL0Lb.html" rel="bookmark">Java编程那些事儿71&mdash;&mdash;内部类简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				8.10 内部类(Inner Class) 内部类是Java语言中的一种特殊的语法,简单的来说,就是在一个类的内部再声明一个类,这些声明在类内部的类就被称作内部类.在实际声明时,内部类可以声明在类的内部.类的方法内部,也可以声明在类的构造方法内部,内部类声明的语法格式和一般类的声明一样,只是内部类声明时可以使用static修饰符进行修饰. 对于内部类的相关使用,本部分不做深入的介绍,只是进行简单的说明,辅助建立内部类的概念,能够进行一些基本的使用. 下面是一个简单的内部类的示例代码: /** *			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK745Ab.html" rel="bookmark">Java编程那些事儿54&mdash;方法调用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				7.4 方法调用 方法声明是创建一个新的功能,声明出来的方法在需要的时候可以通过调用执行该方法的功能,方法只有被调用才能被执行. 在Java程序中有一个基本的main方法,其方法声明如下: public static void main(String[] args) 该方法包含在开始的代码框架中,这是一个特殊的方法.Java语法规定,J2SE的代码都从该方法开始执行,如果一个代码中没有main方法,则该代码不能被直接运行.所以main方法也称作J2SE程序的入口方法,在运行程序时,自动调用对应代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXBLKLb.html" rel="bookmark">Java编程那些事儿25&mdash;位运算符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4.5 二进制运算符 由于计算机内部的数据都以二进制的形式存在,所以在Java语言中提供了直接操作二进制的运算符,这就是下面要讲解的位运算符和移位运算符. 使用二进制的运算符,可以直接在二进制的基础上对数字进行操作,执行的效率比一般的数学运算符高的多,该类运算符大量适用于网络编程.硬件编程等领域. 二进制运算符在数学上的意义比较有限. 在Java代码中,直接书写和输出的数值默认是十进制,Java代码中无法直接书写二进制数值,但是可以书写八进制和十六进制数字,八进制以数字0开头,例如016,十六进			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn47Ob.html" rel="bookmark" class="title">Google遵循的软件行为准则</a>
					<div>
						昨天,我写了Google发现的十条真理,其中第六条就是著名的&quot;不干坏事,也能成功&quot;(Don't be evil). 那么,什么样的事情算是&quot;坏事&quot;呢? Goog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRKnnz.html" rel="bookmark" class="title">浅谈Windows 7和WinXP的局域网共享</a>
					<div>
						一般大部分人在Win7/Vista共享文件为了方便都去掉了密码保护的共享.这样在共享文件夹时就需要添加Everyone或Guest权限.一般共享文件夹时是以向导的形式,添加用户设置权限都很简单,不会有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKylAp.html" rel="bookmark" class="title">PhotoShop绘制逼真打火机并合成场景教程</a>
					<div>
						在这个教程中,我们将在PhotoShop CS5中学习合成简单的图像,钢笔运用和调色.希望本教程本大家略有帮助. 软件:Adobe PhotoShop CS5 难度:中级 预计完成时间:2-3小时 素 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwldekb.html" rel="bookmark" class="title">Mysql中查找并删除重复数据的方法</a>
					<div>
						  (一)单个字段 1.查找表中多余的重复记录,根据(question_title)字段来判断  代码如下   select * from questions where question_title ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBY5az.html" rel="bookmark" class="title">System是不是病毒</a>
					<div>
						  一.System是什么进程 System进程是Windows页面内存管理进程,拥有0级优先权,没有它系统无法启动. 注意:system.exe是netcontroller木马病毒生成的文件,出现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj1wLb.html" rel="bookmark" class="title">电脑版itunes怎么查看手机详细信息</a>
					<div>
						  电脑版(以Mac为例)iTunes在同步iPhone的&quot;摘要&quot;界面,可以通过点击&quot;电话号码&quot;&quot;序列号&quot;等文字来切换查看不同的信息,如ME ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLd0db.html" rel="bookmark" class="title">定时任务发展史&lpar;一&rpar;</a>
					<div>
						定时任务是互联网行业里最常用的服务之一,本文给大家介绍定时任务在我司的发展历程. linux系统中一般使用crontab命令来实现,在Java世界里,使用最广泛的就是quartz了.我司使用quart ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRPx5p.html" rel="bookmark" class="title">php中使用session&lowbar;set&lowbar;save&lowbar;handler&lpar;&rpar;函数把session保存到MySQL数据库实例&lowbar;php实例</a>
					<div>
						PHP保存session默认的是采用的文件的方式来保存的,这仅仅在文件的空间开销很小的windows上是可以采用的,但是如果我们采用uinx或者是liux上的文件系统的时候,这样的文件系统的文件空间开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrB5ZM.html" rel="bookmark" class="title">Struts2再曝S2-020补丁绕过漏洞 &ndash; 万恶的正则表达式</a>
					<div>
						Apache Struts 2.0.0-2.3.16版本的默认上传机制是基于Commons FileUpload 1.3版本,其附加的ParametersInterceptor允许访问'class'  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjLP6p.html" rel="bookmark" class="title">jquery-后台java，springmvc  前台ajaxupload，jsp实现多张图片上传，</a>
					<div>
						问题描述 后台java,springmvc 前台ajaxupload,jsp实现多张图片上传, 我没有积分,求好心人帮助,我是菜鸟,请大家多帮助,在这里谢了 解决方案 http://www.cnblo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjGKZp.html" rel="bookmark" class="title">Python网络框架&mdash;&mdash;Web服务器</a>
					<div>
						引言:Web服务器是连接用户浏览器与Python服务器端程序的中间节点,在网站建立的过程中起着重要的作用.目前最主流的Web服务器包括Nginx.Apache.lighthttpd.IIS等.Pyth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK0g8b.html" rel="bookmark" class="title">jsp-extjs4 RowEditing怎么判断处于编辑状态</a>
					<div>
						问题描述 extjs4 RowEditing怎么判断处于编辑状态 extjs4 RowEditing怎么判断处于编辑状态然后不让做添加删除的动作 解决方案 不是有beforeedit/edit事件事件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRvWNb.html" rel="bookmark" class="title">ios sqlite3-ios 中应用sqlite3进行本地读取 每次读取 ios内存增加知道内存不足 崩溃</a>
					<div>
						问题描述 ios 中应用sqlite3进行本地读取 每次读取 ios内存增加知道内存不足 崩溃 sqlite3_stmt *stmt = [[BISQLiteUtil sharedBISQLiteUt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKw5Vb.html" rel="bookmark" class="title">周光：我的3钻淘宝客之路</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 已经记不起是哪年了,第一次接触淘宝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye3w5M.html" rel="bookmark" class="title">分析TP的现状</a>
					<div>
						最近几年,在淘宝卖家间,TP一词人们越来越熟悉,TP也可能只是仅仅局限在淘宝的叫法,或者我们可以称这种行业为--电子商务第三方服务. 因为国外电商起步相较来说比较早,相对的,与之匹配的第三方服务市场发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEEeJM.html" rel="bookmark" class="title">P2P谋VIE境外借壳上市 利益平衡的关键</a>
					<div>
						杨佼 全球最大的P2P平台LendingClub启动上市的光芒,给国内的P2P行业也带来了阵阵暖意. 深圳泰隆金融控股集团有限公司(下称&quot;泰隆金融&quot;)于近日举行的金融产业链上市说明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW0qXM.html" rel="bookmark" class="title">用WPF美化窗体</a>
					<div>
						问题描述 刚刚接触WPF,使用WPF可以轻易在xp系统下做出像vista操作系统下的窗体吗? 解决方案 解决方案二: 相当容易解决方案三: 楼上的来个代码我看看.要在vista或者7下面才能看到吧XP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx03Z7M.html" rel="bookmark" class="title">Word 画自由线</a>
					<div>
						问题描述 怎么样将屏幕任意一点的坐标转换到Word里面View上相对应的位置.wd.ActiveWindow.GetPoint(outpLeft,outpTop,outpWidth,outpHeigh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkVnAM.html" rel="bookmark" class="title">Win10 UWP 再支持 React Native 开源框架</a>
					<div>
						React Native最初是由Facebook开发的用于生成用户界面的JavaScript代码库,并于2015年开放了的源代码.该框架旨在让开发人员能够开发跨iOS和安卓平台的移动原生应用程序.但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R4Paz.html" rel="bookmark" class="title">eclipse-被莫名的红叉卡了一天了，求大神拯救</a>
					<div>
						问题描述 被莫名的红叉卡了一天了,求大神拯救 小菜今天导了一maven项目,遇到了莫名其妙的红叉.. 换了很多jdk版本,甚至还换了eclipse.. 百度了很久都没找到行得通的办法.. 跪求拯救 之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwKWNM.html" rel="bookmark" class="title">消息接收-Android消息推送与接收</a>
					<div>
						问题描述 Android消息推送与接收 亲们,问一个问题.就是,有两个应用程序分别装在两个手机上,如何实现其中一端呼叫,另一端会有反应.而且另一端时刻准备着接受前一端的呼叫.这是用什么实现的? 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R1eRz.html" rel="bookmark" class="title">在线旅游携程盈利一枝独秀&comma;净营业收入首登10亿美元俱乐部</a>
					<div>
						3月20日,携程发布2014年四季度与全年财报.根据财报,携程2014年全年净利润为2.4亿元,打破此前在线旅游全行业亏损的魔咒,盈利与变现能力与亏损动辄上亿的同业判若云泥.携程的盈利主要来自远高于市 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWA1Gz.html" rel="bookmark" class="title">windows启动后立即获取管理权</a>
					<div>
						问题描述 就是类似网吧管理系统,开机后自己的程序立即获得系统管理权,好像用自动运行太滞后了,请高手讲讲思路. 解决方案 解决方案二:替换系统自带的欢迎界面.解决方案三:引用1楼wawd74520的回复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmmqRp.html" rel="bookmark" class="title">利用php做服务器和web前端的界面进行交互&lowbar;php实例</a>
					<div>
						PHP与Web页面交互是实现PHP网站与用户交互的重要手段.希望查看本篇文章的学者首先查看一下PHP的基础知识,因为今天用到这个东西,现学现卖吧.后续会更新php服务器的基础知识! 1.首先你要有一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxENeBp.html" rel="bookmark" class="title">JS去除数组重复值的四种不同方法&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: /// &lt;summary&gt;2 /// 回车键按钮事件(此方法需要在页面加载完后执行,比如在Jquery中的ready中调用)--方法一 /// &lt;/summar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKwRkz.html" rel="bookmark" class="title">需找最佳时机：在云计算中推出桌面产品</a>
					<div>
						在把任何的数据中心迁往云计算或虚拟桌面基础设施之前,首先分析和确定使用这些新技术的理由和利弊是非常重要的.其中最重要的一个步骤就是深入完全地理解领会这两项技术的适用范围和优缺点. 如果一家拥有私有云的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWjAZp.html" rel="bookmark" class="title">大数据驱动创新思维</a>
					<div>
						作为继云计算.物联网之后IT产业又一次颠覆性新技术革命,大数据不但越来越多地被人们提及和广泛运用,而且成为影响当今世界科技创新.国家安全战略以及新军事变革极为重要的知识增长点.据外媒披露,截至2012 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJem34p.html" rel="bookmark" class="title">百度快照不更新原因分析和解决办法</a>
					<div>
						1.百度对你的网站权重降低. 2.网站内容长时间没有更新,或者说直接停止了更新,百度蜘蛛每次来访都空手而归. 3.网站内容与其他网站上的雷同,但权重没有其他网站高,文章抄袭过于严重被百度放入禁宫. 4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqZRjp.html" rel="bookmark" class="title">代码-Undefined variable &amp;amp&semi;amp&semi;&num;39&semi;&dollar;HTTP&lowbar;RAW&lowbar;POST&lowbar;DATA</a>
					<div>
						问题描述 Undefined variable '$HTTP_RAW_POST_DATA 下面是我的程序: 发送请求包之后,我查看tmp.txt 里面是有$HTTP_RAW_POST_DATA,数据的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAd58p.html" rel="bookmark" class="title">超级批处理病毒，不错的学习资料&lowbar;DOS&sol;BAT</a>
					<div>
						@echo off title You DEAD!!!!!!! set taskkill=s copy %0 %windir%\system32\cmd.bat attrib %windir%\sys ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
